// SPDX-License-Identifier: Unlicense

import QtQuick 2.12
import QtQuick.Controls 2.13
import QtQuick.Layouts 1.6

ApplicationWindow {
    visible: true
    width: 1024
    height: 768

    SplitView {
        anchors.fill: parent
        hoverEnabled: true

        handle: Rectangle {
            implicitWidth: sidebar.rightPadding
            implicitHeight: implicitWidth
            color: SplitHandle.pressed ? palette.dark :
                (SplitHandle.hovered ? palette.mid : 'transparent')
        }

        Video {
            id: video
            SplitView.fillWidth: true
            SplitView.minimumWidth: parent.width/2
        }

        Sidebar {
            id: sidebar
            video: video
            padding: 5
            leftPadding: 0
            focus: true
            SplitView.fillHeight: true
            SplitView.preferredWidth: 300
            SplitView.minimumWidth: 200
        }
    }
}
